%define     real_ver 1.4.3

Name:       geda-symbols
Version:    20081231
Release:    3%{?dist}
Summary:    Electronic symbols for gEDA

Group:      Applications/Engineering
License:    GPLv2
URL:        http://www.geda.seul.org

Source:     http://geda.seul.org/release/v1.4/%{real_ver}/%{name}-%{real_ver}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires: transfig

# owns scheme and gEDA directories
Requires:   libgeda

%description
This package contains a bunch of symbols of electronic devices
used by gschem, the gEDA project schematic editor.

%prep
%setup -q -n %{name}-%{real_ver}

%{__mv} AUTHORS AUTHORS.tmp
iconv -f ISO-8859-1 -t UTF8 AUTHORS.tmp > AUTHORS && \
    %{__rm} -f AUTHORS.tmp || %{__mv} AUTHORS.tmp AUTHORS

%build
%configure --with-docdir=%{_docdir}/gEDA

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}

# Required by geda-gschem geda-gsymcheck geda-doc geda-gattrib geda-gnetlist geda-utils
%{__install} -d %{buildroot}%{_datadir}/gEDA/bitmap
%{__install} -d %{buildroot}%{_docdir}/gEDA/examples
%{__install} -d %{buildroot}%{_docdir}/gEDA/readmes

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_docdir}/gEDA/readmes
#%dir %{_docdir}/gEDA/examples
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/gafrc.d/

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA
#%dir %{_datadir}/doc/gEDA/
#%dir %{_datadir}/gEDA/scheme

%files
%defattr(-,root,root,-)
%dir %{_docdir}/gEDA/examples
%dir %{_docdir}/gEDA/readmes
%dir %{_datadir}/gEDA/bitmap
%dir %{_datadir}/gEDA/gafrc.d/

%doc AUTHORS ChangeLog COPYING README
%{_datadir}/gEDA/sym/
%{_docdir}/gEDA/nc.pdf
%{_datadir}/gEDA/scheme/geda-font.scm
%{_datadir}/gEDA/gafrc.d/geda-clib.scm


%Changelog
* Wed Dec 31 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20081231-1
- new upstream release

* Sun Dec 21 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20081220-1
- new upstream release
- stripped off contents that upstream accepted from us.

* Tue Nov 11 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080929-1
- New upstream release

* Tue Feb 01 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20080127-1
- New upstream release

* Tue Jan 22 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20071231-1
- New upstream release
- added transfig as BR for fig2dev

* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Mon Sep 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070902-1
- New upstream release

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070708-1
- New upstream release

* Tue Jun 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070626-1
- new upstream release

* Thu Jun 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070526-1
- new upstream release

* Mon Mar 12 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream release

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-2
- ownership of directory %%{_datadir}/gEDA/docs/readmes/

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-5
- Owning the %{_datadir}/gEDA/bitmap directory

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Timestamp make install

* Sun Aug 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9
- doc directory now geda-docs-%{version}
- switcap irectory added

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- doc directory moved

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, built on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- added 'bus', 'diode', 'ecl', 'opto', 'power', 'relay',
  'transistor', 'vhdl' and 'winfonts' categories
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'national' and 'supervisor' categories
- updated to version 20000704

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
